summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-04-15 17:12:31 +0200
committerHans de Graaff <graaff@gentoo.org>2019-04-15 17:29:24 +0200
commitdce81eeb733031adb774f331d8bd8acd34052f9a (patch)
treeaefb08ed6c1baca0d1affc51a36002405a256e9e /dev-ruby
parentx11-themes/numix-icon-theme-circle: Version bump (v19.04.15) (diff)
downloadgentoo-dce81eeb733031adb774f331d8bd8acd34052f9a.tar.gz
gentoo-dce81eeb733031adb774f331d8bd8acd34052f9a.tar.bz2
gentoo-dce81eeb733031adb774f331d8bd8acd34052f9a.zip
dev-ruby/elasticsearch-transport: add 6.3.0
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/elasticsearch-transport/Manifest1
-rw-r--r--dev-ruby/elasticsearch-transport/elasticsearch-transport-6.3.0.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/dev-ruby/elasticsearch-transport/Manifest b/dev-ruby/elasticsearch-transport/Manifest
index fd2e097ba4a..7ce2cddbc4c 100644
--- a/dev-ruby/elasticsearch-transport/Manifest
+++ b/dev-ruby/elasticsearch-transport/Manifest
@@ -1,2 +1,3 @@
DIST elasticsearch-ruby-5.0.5.tar.gz 216692 BLAKE2B 4328b40932d6d0bd3608da517b976136ec2b09a760f1b6e377a680d23515fe6a9c605db84725d0598db3da6eb25dd43b5042c20cc6cc7cac33be9d947c9dbf32 SHA512 dd82ec7794753283d2c08d19d60bcc66655c9b8f2a6620f720f84121c57c9b6dc02de67c4a445a998316523f045e13b744b931bf815b64814ea280cef2cb0806
DIST elasticsearch-ruby-6.1.0.tar.gz 305518 BLAKE2B c58636ab44d692bd3fcceac7a7ca6b03e4b5ac8c2fc94f5d108d34ad8bab140c3432380612f7066dc8370f891aa178a1766feae2bed0f5a6cef0c15d52774885 SHA512 1067de087864bbc7f5ea4c32df3ee3096b6c2ff39b8cde60a2da135b3dfb4d2e23d101a58ae04410067d0130fa680b7b80b98a1fe596898cfb545e29e83376a2
+DIST elasticsearch-ruby-6.3.0.tar.gz 327308 BLAKE2B c9e5c6b1229dfaa30ecf341de9832c992131c7e3a42253747e1577debc0873b4c6428740c00912affa0cc4e668e0f5b78ac484bec926757ac1a8d50eef1bc996 SHA512 26c36198c66c31c59247d5d63ca817cf7942436b524a3480c69c1860ba3933617c75138521a49e14172d9a6ce6086325d685ab5dba22c99a4767dc85f35eb13a
diff --git a/dev-ruby/elasticsearch-transport/elasticsearch-transport-6.3.0.ebuild b/dev-ruby/elasticsearch-transport/elasticsearch-transport-6.3.0.ebuild
new file mode 100644
index 00000000000..58ea677f3db
--- /dev/null
+++ b/dev-ruby/elasticsearch-transport/elasticsearch-transport-6.3.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby24 ruby25"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_RECIPE_DOC=rdoc
+
+RUBY_FAKEGEM_TASK_TEST="NOTURN=true test"
+
+inherit ruby-fakegem eapi7-ver
+
+MY_P=elasticsearch-ruby-${PV}
+DESCRIPTION="Ruby integrations for ES, elasticsearch-transport module"
+HOMEPAGE="https://github.com/elastic/elasticsearch-ruby"
+SRC_URI="https://github.com/elastic/elasticsearch-ruby/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+ dev-ruby/faraday
+ dev-ruby/multi_json
+"
+ruby_add_bdepend "
+ doc? ( dev-ruby/yard )
+ test? (
+ dev-ruby/ansi
+ dev-ruby/mocha:1.0
+ dev-ruby/pry
+ dev-ruby/shoulda-context
+ dev-ruby/curb
+ dev-ruby/patron
+ )
+"
+
+RUBY_S=${MY_P}/${PN}
+
+all_ruby_prepare() {
+ # fix to work without git
+ sed -i -e 's/git ls-files/find -type f/' *.gemspec || die
+
+ # remove useless dependencies from Rakefile
+ sed -e '/bundler/d' \
+ -e '/require.*cane/,/end/d' \
+ -i Rakefile || die
+
+ # Tweak test setup to only run unit tests since we don't have a live cluster
+ sed -i -e "s/RUBY_VERSION > '1.9'/false/" \
+ -e '/module Elasticsearch/,$ s:^:#:' test/test_helper.rb || die
+}